package com.ruoyi.ap;

import java.util.Arrays;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ForkJoinPool;
import java.util.stream.Stream;

/**
 * @author ldj
 * @date 2024/2/27 14:34
 * @Description: ...
 * @Version 1.0
 */
public class TestStream {
    public static void main(String[] args) {
        List<String> list = Arrays.asList("Apple", "Banana", "Orange", "Pear", "Peach");
        // 获取并行流
        Stream<String> parallelStream = list.parallelStream();
        // 使用并行流进行操作
        parallelStream.forEach(System.out::println);

//        List<String> list = Arrays.asList("Apple", "Banana", "Orange", "Pear", "Peach");
//
//        ForkJoinPool customThreadPool = new ForkJoinPool(1);
//        try {
//            customThreadPool.submit(() ->
//                    list.parallelStream().forEach(System.out::println)
//            ).get(); // get() will wait for the task to finish
//        } catch (InterruptedException | ExecutionException e) {
//            e.printStackTrace();
//        } finally {
//            customThreadPool.shutdown(); // don't forget to shutdown the pool
//        }
    }
}
